<?php

namespace MYCPortal\Plugin;	


use Silex\Application;
use Symfony\Component\HttpFoundation\Request;


class SamplePlugin{

	
	public function __construct(){

	}
	
	public function portal_init(Application $app){
		return;
	}
	
	public function before_module_list(Application $app, $params){
		return $params;
	}
	
	public function before_module_grid(Application $app, $params){
		return $params;
	}
	
	public function before_comment_send(Application $app, $params){
		return $params;
	}
	
	public function before_record_details(Application $app, $params){
		return $params;
	}
	
	public function before_dashboard(Application $app, $params){	
		return $params;
	}
		
}